"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _Feather = _interopRequireDefault(require("react-native-vector-icons/Feather"));
var _component_constant = require("../constants/component_constant");
var _font_size_constant = require("../constants/font_size_constant");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const WarningMessageComponent = props => {
  const iconName = !props.hasInternet || props.hasErrorNetwork ? "wifi-off" : "video-off";
  const message = !props.hasInternet || props.hasErrorNetwork ? {
    en: "No internet connection",
    km: "មិនមានប្រព័ន្ធអ៊ីនធឺណិត"
  } : {
    en: "No video available",
    km: "មិនមានវីដេអូ"
  };
  const closeButton = () => {
    return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
      onPress: () => props.closeModal(),
      style: [styles.closeBtn, props.closeButtonStyle]
    }, /*#__PURE__*/_react.default.createElement(_Feather.default, {
      name: "x",
      color: props.iconColor || _component_constant.iconColor,
      size: 24
    }));
  };
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      flex: 1,
      borderWidth: 0.1,
      borderColor: 'transparent'
    }
  }, closeButton(), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      flex: 1,
      justifyContent: 'center',
      alignItems: 'center'
    }
  }, /*#__PURE__*/_react.default.createElement(_Feather.default, {
    name: iconName,
    size: props.messageIconSize || _component_constant.messageIconSize,
    color: props.iconColor || _component_constant.iconColor
  }), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: [styles.msgLabel, props.messageLabelStyle]
  }, message[props.locale || 'km'])));
};
const styles = _reactNative.StyleSheet.create({
  msgLabel: {
    color: _component_constant.textColor,
    fontSize: _font_size_constant.messageLabelFontSize,
    marginTop: 20
  },
  closeBtn: {
    alignItems: 'center',
    justifyContent: 'center',
    marginTop: 3,
    width: _component_constant.pressableSize,
    height: _component_constant.pressableSize
  }
});
var _default = exports.default = WarningMessageComponent;
//# sourceMappingURL=WarningMessageComponent.js.map