"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _reactNativeModal = _interopRequireDefault(require("react-native-modal"));
var _reactNativeYoutubeIframe = _interopRequireDefault(require("react-native-youtube-iframe"));
var _WarningMessageComponent = _interopRequireDefault(require("./WarningMessageComponent"));
var _youtube_helper = _interopRequireDefault(require("../helpers/youtube_helper"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const YoutubePopupPlayerComponent = props => {
  const [isLoading, setIsLoading] = (0, _react.useState)(true);
  const [hasErrorNetwork, setHasErrorNetwork] = (0, _react.useState)(false);
  const isLoadingRef = (0, _react.useRef)(isLoading);
  const hasInternetRef = (0, _react.useRef)(props.hasInternet);
  (0, _react.useEffect)(() => {
    let timeout = null;
    if (props.modalVisible) {
      setIsLoading(true);
      setHasErrorNetwork(false);
      hasInternetRef.current = props.hasInternet;
      isLoadingRef.current = true;
      timeout = setTimeout(() => {
        setHasErrorNetwork(hasInternetRef.current && isLoadingRef.current);
      }, 25000);
    }
    return () => !!timeout && clearTimeout(timeout);
  }, [props.modalVisible]);
  const onSwipeMove = percentageShown => {
    if (percentageShown <= 0.81) props.closeModal();
  };
  const onReady = () => {
    setIsLoading(false);
    isLoadingRef.current = false;
  };
  const renderContent = () => {
    if (!!props.videoUrl && props.hasInternet && !hasErrorNetwork) return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: {
        height: '100%',
        width: "100%",
        justifyContent: 'center'
      }
    }, props.hasInternet && isLoading && /*#__PURE__*/_react.default.createElement(_reactNative.ActivityIndicator, {
      size: "large",
      color: props.indicatorColor || '#ffffff',
      style: {
        position: 'absolute',
        alignSelf: 'center'
      }
    }), /*#__PURE__*/_react.default.createElement(_reactNativeYoutubeIframe.default, {
      height: '100%',
      play: true,
      videoId: _youtube_helper.default.getVideoId(props.videoUrl),
      onReady: () => onReady(),
      webViewProps: {
        containerStyle: {
          paddingTop: props.playerPaddingTop || '55%'
        }
      }
    }));
    return /*#__PURE__*/_react.default.createElement(_WarningMessageComponent.default, {
      locale: props.locale,
      hasInternet: props.hasInternet,
      hasErrorNetwork: hasErrorNetwork,
      closeModal: () => props.closeModal(),
      iconColor: props.iconColor,
      messageLabelStyle: props.messageLabelStyle,
      messageIconSize: props.messageIconSize,
      closeButtonStyle: props.closeButtonStyle
    });
  };
  return /*#__PURE__*/_react.default.createElement(_reactNativeModal.default, {
    isVisible: props.modalVisible,
    onSwipeMove: percentageShown => onSwipeMove(percentageShown),
    useNativeDriverForBackdrop: true,
    swipeDirection: ['down', 'up'],
    style: {
      width: '100%',
      margin: 0
    },
    backdropColor: "black",
    backdropOpacity: 0.8,
    animationOut: "zoomOut"
  }, renderContent());
};
var _default = exports.default = YoutubePopupPlayerComponent;
//# sourceMappingURL=YoutubePopupPlayerComponent.js.map